summaryrefslogtreecommitdiffstats
path: root/extras
diff options
context:
space:
mode:
Diffstat (limited to 'extras')
-rw-r--r--extras/ganesha/scripts/ganesha-ha.sh13
1 files changed, 8 insertions, 5 deletions
diff --git a/extras/ganesha/scripts/ganesha-ha.sh b/extras/ganesha/scripts/ganesha-ha.sh
index ac8c91f194e..0692df8f5dd 100644
--- a/extras/ganesha/scripts/ganesha-ha.sh
+++ b/extras/ganesha/scripts/ganesha-ha.sh
@@ -179,13 +179,16 @@ setup_cluster()
logger "pcs cluster setup ${RHEL6_PCS_CNAME_OPTION} ${name} ${servers} failed"
exit 1;
fi
+
+ # BZ 1284404, 1425110, allow time for SSL certs to propagate, until then
+ # pcsd will not accept connections.
+ sleep 12
pcs cluster start --all
- if [ $? -ne 0 ]; then
- logger "pcs cluster start failed"
- exit 1;
- fi
+ while [ $? -ne 0 ]; do
+ sleep 2
+ pcs cluster start --all
+ done
- sleep 1
# wait for the cluster to elect a DC before querying or writing
# to the CIB. BZ 1334092
crmadmin --dc_lookup --timeout=5000 > /dev/null 2>&1